﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Detectors.Fingers;
using bbiwarg.Detectors.Palm;
using bbiwarg.Utility;

namespace bbiwarg.Detectors.Touch
{
    class PalmTouchDetector
    {
        private List<PalmTouchEvent> palmTouchEvents;

        public PalmTouchDetector(List<TouchEvent> touchEvents, PalmRect palm) {
            palmTouchEvents = new List<PalmTouchEvent>();

            foreach (TouchEvent touchEvent in touchEvents) {
                if (palm.isWithinMargin(touchEvent.Position)) {
                    Vector2D relativePalmPosition = palm.getRelativePosition(touchEvent.Position);
                    PalmTouchEvent pte = new PalmTouchEvent(touchEvent.Position, relativePalmPosition, touchEvent.FloodValue, touchEvent.Finger, palm);
                    palmTouchEvents.Add(pte);
                }
            }

        }

        public List<PalmTouchEvent> getPalmTouchEvents() {
            return palmTouchEvents;
        }
    }
}
