﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Utility;
using bbiwarg.Detectors.Fingers;
using bbiwarg.Detectors.Palm;

namespace bbiwarg.Detectors.Touch
{
    class PalmTouchEvent : TouchEvent
    {
        private Vector2D _relativePalmPosition;
        public Vector2D RelativePalmPosition { get { return _relativePalmPosition; } private set { _relativePalmPosition = value; } }

        private PalmRect _palm;
        public PalmRect Palm { get { return _palm; } private set { _palm = value; } }

        public PalmTouchEvent(Vector2D absolutePosition, Vector2D relativePalmPosition, float floodValue, Finger finger, PalmRect palm)
            : base(absolutePosition, floodValue, finger)
        {
            RelativePalmPosition = relativePalmPosition;
            Palm = palm;
        }
    }
}
